function Vd=disper_dep(V,K,tau)

% dipseral function with positive density-dependence

% probabilities to go left and right
j1=1/2*V./(tau+V);

% j0=p0 probability to stay in the same patch
j0=1-(2*j1);



% matrix describing probabilities to move, at each position 
J=[j1' j0' j1'];
S=mnrnd(V',J);
Vd=S(:,2)'+[S(2:end,1)' 0]+[0 S(1:end-1,3)'];	% vector containing new population size
Vd(1)=K;					% left edge condition fixed