%%% this program computes the mean speed in terms of K %%%
%%% for the IBM - positive density-dependent dispersal %%%

clear all

Nm=500; % the probability to move is equal to p1 when the population size in Nm

p1=0.5;
p0=1-p1;

% parameters to calculate the density-dependent dispersal function
tau=(Nm*p0)/(1-p0);



% number of replicats
nrep=200;
i=0;

%% main loop
for K=[1,10,20:10:150,160:10:200,250:50:500]	% Different values of carrying capacities
    i=i+1;
    
    for k=1:nrep
        v(k,i)=calculDD(K,tau);
    end
    
    KK(i)=K;
end

%% the values of K and of the speed v are saved in the following file

nom=['vitesse_DD_K'num2str(K)'.mat'];
save(nom,'v','KK')
