function Vr=repro_allee(V,r,K,rho)


% reproduction function with Allee effect

% r : mean number of offspring 
% K : carrying capacity

X=1:length(V); 					% index from 1 to the size of V
I2=X(logical((V>0).*(V<=rho*r))); V2=V(I2); 	% index where V> 0 and V <=rho*r: beneath the Allee threshold
I3=X(V>rho*r);					% index where V >rho*r: above the Allee threshold
Vr=zeros(1,length(V));
Vr(I2)=poissrnd(V2.*V2/rho);			% vector containing new population size when V was beneath the Allee threshold
Vr(I3)=poissrnd(r*V(I3));			% vector containing new population size when V was above the Allee threshold
Vr(1)=K; 					% left edge condition fixed